[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.FixDesignFontsPPI

Corrects the font size for High-DPI-aware applications.

## Declaration

Source position: controls.pp line 1694

`public procedure TControl.FixDesignFontsPPI(`
`const ADesignTimePPI: Integer`
`); virtual;`

## Arguments

`ADesignTimePPI` |  | Design-time PPI setting applied for the font size adjustment.

## Description

FixDesignFontsPPI is a method used to adjust the font size when the design-time PPI (Pixels per Inch) setting differs from the run-time PPI setting for the font in the control. It calls DoFixDesignFontPPI to restore the value in ADesignTimePPI to the Font reference passed as an argument to to the method. The font height is scaled using the factor represented by TFont.PixelsPerInch/ADesignTimePPI.

This method does not trigger a CM_PARENTFONTCHANGED message in the Parent control.

In TControl, this action is performed for the Font property. In descendent class, additional properties with a font reference may also be adjusted using the method.

FixDesignFontsPPI is called when scaling is enabled, and the Form which hosts the control calls its Loaded method when LCL streaming is completed.